Subject: bug#39775: closed (Re: bug#39775: guix pull - error: lmdbxx: unbound variable)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Feb 2020 17:36:02 +0000

Your bug report

#39775: guix pull - error: lmdbxx: unbound variable

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39775: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39775
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39775: guix pull - error: lmdbxx: unbound variable
From: zimoun <[email-masked]>
To: Martin Flack <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Feb 2020 18:35:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

On Tue, 25 Feb 2020 at 18:29, Martin Flack <[email-masked]> wrote:

> I think the problem was I had copied gnu/packages/databases.scm to a custom GUIX_PACKAGE_PATH in order to apply a patch from the mailing lists, without keeping it up-to-date with the rest of the contents of the file as guix had further commits over time. I know there must be a way to do that more cleanly where (a) you only override the necessary packages and (b) somehow it becomes moot or you get notified when that package is upgraded in mainline; but I have not yet learned how to do that! (Any tutorial?)

Maybe what you are looking for is channel and manifest.
Please ask on help-guix or IRC more details. :-)
And I do not know any tutorial yet, perhaps once you solved your
problem, you could write one. ;-)

All the best,
simon

Subject: guix pull - error: lmdbxx: unbound variable
From: Martin Flack <[email-masked]>
To: [email-masked]
Date: Mon, 24 Feb 2020 22:43:25 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Today I ran guix pull which seemed to culminate in a strange guix/ui.scm
error message:

After some compiling I got:
...
The following derivations will be built:
   /gnu/store/8vz5gvrzdjlamnc1yp12whb8rhdbjif0-profile.drv
   /gnu/store/scyl68mw7lvhqixal6n3sc6mz3c5mq42-guix-0d197a63d.drv
   /gnu/store/1slvq9biga5w0vxw9sbfprlhp8pghqrf-guix-0d197a63d-modules.drv
   /gnu/store/4s06i28x7j4zwrgim0kybxgpihmvh5y7-guix-packages-modules.drv
   /gnu/store/bv94gciwr7ididw95353jy9zplk5fz6r-guix-packages.drv
   /gnu/store/6d7p4nsqk5s5286khhkr6knwwipb4igj-guix-extra.drv
   /gnu/store/ivbyq110sxmkd7xg5j9ydpdyr82nph12-guix-core-source.drv
   /gnu/store/y7h0mimx8qzilm3dy71rsbwnvbc6xija-guix-core.drv
   /gnu/store/m0nzbh77nzmp9adwj9apz1zaj29s3f63-guix-packages-base.drv
   /gnu/store/8ilihcskx52d0im5siyfimwfxg4wrskw-guix-system-modules.drv
   /gnu/store/a8284jcjgxsagm63395askn704zwsl3i-guix-system.drv
   /gnu/store/aiwqh9m0m56i6pxn6pkidip5rv7yyir7-guix-cli-modules.drv
   /gnu/store/8h3k938vrc5mm250m9z7aq2fpc21vs01-guix-cli.drv
   /gnu/store/cps608k6dy4ynkd0nnsn5s3m83mf5lvr-guix-core-modules.drv
   /gnu/store/fz8vldhr01k5100x5qaa0wdn93y4jqrd-guix-system-tests-modules.drv
   /gnu/store/fpqgrp5h6j81732c7qwqv9wd0qd8fhjw-guix-system-tests.drv

 /gnu/store/lvxdlanm440h1y1dvims2jj2rxxdfxa2-guix-packages-base-modules.drv
   /gnu/store/pk526jdflsa61y1bi71pljdqjplv6hs6-guix-config-modules.drv
   /gnu/store/h7nn3v8809bpg2nzvl8v8ibmvg2k8y3n-guix-config-source.drv
   /gnu/store/amajl0hv6saczg76nsd1hp90g9l8kjnm-config.scm.drv
   /gnu/store/mqsrbrh66gdwcqb84wk1m24c5a7bx01s-guix-config.drv
   /gnu/store/ww5i9n7iyn0p4agks44cm2qhq2czxrlx-guix-extra-modules.drv
   /gnu/store/hvms85pv6kl2jypqxa4ns1xrhk6xwm0n-guix-manual.drv
   /gnu/store/naz2w1h501bjapggaz46if0fcf5am7df-guix-translated-texinfo.drv
   /gnu/store/p3va25wpkly500w01fm9qvabnfbhzwg0-guix-command.drv
   /gnu/store/ab3a8sg6b3q3vixads1xly5i26cjkgv9-guix-module-union.drv
   /gnu/store/cklvnm977bq3ag2paiym6gbkrsf0vvgn-guix-locale-guix.drv
   /gnu/store/x0xh8p2zrf94kx75g4y2rs6q4wnffq87-guix-daemon.drv
   /gnu/store/75shnmym7m2v9wr0askjcqpmfc34pzm6-inferior-script.scm.drv
   /gnu/store/mfd7sng5bag37aj4rmifr25xz9b4s9f1-profile.drv
The following grafts will be made:
   /gnu/store/hqciyasnzqsrl0qynqm5v5724z3pv1ki-guile3.0-ssh-0.12.0.drv
   /gnu/store/dmjw1h4iw9z0c582y9hn48y7s10a1lph-libssh-0.9.3.drv
   /gnu/store/n81kdyyhidjs9c388c9rf2ix2f9gxgj2-guile3.0-git-0.3.0.drv
   /gnu/store/yahyfa3mysc3vjzrybl68qgffhix8r5a-libgit2-0.28.4.drv

 /gnu/store/ixpn7nfyypsm3gacapbbnx2apysdkwlw-guix-daemon-1.0.1-13.50299ad.drv
The following profile hooks will be built:
   /gnu/store/2z4iv79sgx84yfaib430fv7siynjszfg-manual-database.drv
   /gnu/store/7dblw0w81pwlnyr1n52szdf5w482lik9-info-dir.drv
   /gnu/store/8ivx9xfx2dzbir6619m82rnhiy13cafh-ca-certificate-bundle.drv
   /gnu/store/mn7sqip3zj0f6y3qhv6f1c39hhb8cv4m-fonts-dir.drv
   /gnu/store/vjwc21gsnzfm3n7lk00qmfmxwhsyaz5k-guix-package-cache.drv
applying 1 graft for
/gnu/store/ixpn7nfyypsm3gacapbbnx2apysdkwlw-guix-daemon-1.0.1-13.50299ad.drv...
successfully built
/gnu/store/ixpn7nfyypsm3gacapbbnx2apysdkwlw-guix-daemon-1.0.1-13.50299ad.drv
building /gnu/store/amajl0hv6saczg76nsd1hp90g9l8kjnm-config.scm.drv...
successfully built
/gnu/store/amajl0hv6saczg76nsd1hp90g9l8kjnm-config.scm.drv
building /gnu/store/ivbyq110sxmkd7xg5j9ydpdyr82nph12-guix-core-source.drv...
successfully built
/gnu/store/ivbyq110sxmkd7xg5j9ydpdyr82nph12-guix-core-source.drv
building
/gnu/store/h7nn3v8809bpg2nzvl8v8ibmvg2k8y3n-guix-config-source.drv...
successfully built
/gnu/store/h7nn3v8809bpg2nzvl8v8ibmvg2k8y3n-guix-config-source.drv
building /gnu/store/y7h0mimx8qzilm3dy71rsbwnvbc6xija-guix-core.drv...
successfully built /gnu/store/y7h0mimx8qzilm3dy71rsbwnvbc6xija-guix-core.drv
building /gnu/store/mqsrbrh66gdwcqb84wk1m24c5a7bx01s-guix-config.drv...
successfully built
/gnu/store/mqsrbrh66gdwcqb84wk1m24c5a7bx01s-guix-config.drv
building
/gnu/store/cps608k6dy4ynkd0nnsn5s3m83mf5lvr-guix-core-modules.drv...
successfully built
/gnu/store/cps608k6dy4ynkd0nnsn5s3m83mf5lvr-guix-core-modules.drv
building
/gnu/store/pk526jdflsa61y1bi71pljdqjplv6hs6-guix-config-modules.drv...
successfully built
/gnu/store/pk526jdflsa61y1bi71pljdqjplv6hs6-guix-config-modules.drv
building /gnu/store/cklvnm977bq3ag2paiym6gbkrsf0vvgn-guix-locale-guix.drv...
successfully built
/gnu/store/cklvnm977bq3ag2paiym6gbkrsf0vvgn-guix-locale-guix.drv
building
/gnu/store/naz2w1h501bjapggaz46if0fcf5am7df-guix-translated-texinfo.drv...
successfully built
/gnu/store/naz2w1h501bjapggaz46if0fcf5am7df-guix-translated-texinfo.drv
applying 2 grafts for
/gnu/store/yahyfa3mysc3vjzrybl68qgffhix8r5a-libgit2-0.28.4.drv...
successfully built
/gnu/store/yahyfa3mysc3vjzrybl68qgffhix8r5a-libgit2-0.28.4.drv
building /gnu/store/hvms85pv6kl2jypqxa4ns1xrhk6xwm0n-guix-manual.drv...
successfully built
/gnu/store/hvms85pv6kl2jypqxa4ns1xrhk6xwm0n-guix-manual.drv
applying 1 graft for
/gnu/store/n81kdyyhidjs9c388c9rf2ix2f9gxgj2-guile3.0-git-0.3.0.drv...
successfully built
/gnu/store/n81kdyyhidjs9c388c9rf2ix2f9gxgj2-guile3.0-git-0.3.0.drv
applying 1 graft for
/gnu/store/dmjw1h4iw9z0c582y9hn48y7s10a1lph-libssh-0.9.3.drv...
successfully built
/gnu/store/dmjw1h4iw9z0c582y9hn48y7s10a1lph-libssh-0.9.3.drv
applying 1 graft for
/gnu/store/hqciyasnzqsrl0qynqm5v5724z3pv1ki-guile3.0-ssh-0.12.0.drv...
successfully built
/gnu/store/hqciyasnzqsrl0qynqm5v5724z3pv1ki-guile3.0-ssh-0.12.0.drv
building /gnu/store/6d7p4nsqk5s5286khhkr6knwwipb4igj-guix-extra.drv...
successfully built
/gnu/store/6d7p4nsqk5s5286khhkr6knwwipb4igj-guix-extra.drv
building
/gnu/store/ww5i9n7iyn0p4agks44cm2qhq2czxrlx-guix-extra-modules.drv...
successfully built
/gnu/store/ww5i9n7iyn0p4agks44cm2qhq2czxrlx-guix-extra-modules.drv
building
/gnu/store/m0nzbh77nzmp9adwj9apz1zaj29s3f63-guix-packages-base.drv...
successfully built
/gnu/store/m0nzbh77nzmp9adwj9apz1zaj29s3f63-guix-packages-base.drv
building
/gnu/store/lvxdlanm440h1y1dvims2jj2rxxdfxa2-guix-packages-base-modules.drv...
successfully built
/gnu/store/lvxdlanm440h1y1dvims2jj2rxxdfxa2-guix-packages-base-modules.drv
building /gnu/store/bv94gciwr7ididw95353jy9zplk5fz6r-guix-packages.drv...
successfully built
/gnu/store/bv94gciwr7ididw95353jy9zplk5fz6r-guix-packages.drv
building
/gnu/store/4s06i28x7j4zwrgim0kybxgpihmvh5y7-guix-packages-modules.drv...
successfully built
/gnu/store/4s06i28x7j4zwrgim0kybxgpihmvh5y7-guix-packages-modules.drv
building /gnu/store/a8284jcjgxsagm63395askn704zwsl3i-guix-system.drv...
successfully built
/gnu/store/a8284jcjgxsagm63395askn704zwsl3i-guix-system.drv
building /gnu/store/8h3k938vrc5mm250m9z7aq2fpc21vs01-guix-cli.drv...
successfully built /gnu/store/8h3k938vrc5mm250m9z7aq2fpc21vs01-guix-cli.drv
building
/gnu/store/8ilihcskx52d0im5siyfimwfxg4wrskw-guix-system-modules.drv...
successfully built
/gnu/store/8ilihcskx52d0im5siyfimwfxg4wrskw-guix-system-modules.drv
building /gnu/store/aiwqh9m0m56i6pxn6pkidip5rv7yyir7-guix-cli-modules.drv...
successfully built
/gnu/store/aiwqh9m0m56i6pxn6pkidip5rv7yyir7-guix-cli-modules.drv
building
/gnu/store/fpqgrp5h6j81732c7qwqv9wd0qd8fhjw-guix-system-tests.drv...
successfully built
/gnu/store/fpqgrp5h6j81732c7qwqv9wd0qd8fhjw-guix-system-tests.drv
building
/gnu/store/fz8vldhr01k5100x5qaa0wdn93y4jqrd-guix-system-tests-modules.drv...
successfully built
/gnu/store/fz8vldhr01k5100x5qaa0wdn93y4jqrd-guix-system-tests-modules.drv
building
/gnu/store/1slvq9biga5w0vxw9sbfprlhp8pghqrf-guix-0d197a63d-modules.drv...
successfully built
/gnu/store/1slvq9biga5w0vxw9sbfprlhp8pghqrf-guix-0d197a63d-modules.drv
building
/gnu/store/ab3a8sg6b3q3vixads1xly5i26cjkgv9-guix-module-union.drv...
successfully built
/gnu/store/ab3a8sg6b3q3vixads1xly5i26cjkgv9-guix-module-union.drv
building /gnu/store/p3va25wpkly500w01fm9qvabnfbhzwg0-guix-command.drv...
successfully built
/gnu/store/p3va25wpkly500w01fm9qvabnfbhzwg0-guix-command.drv
building /gnu/store/x0xh8p2zrf94kx75g4y2rs6q4wnffq87-guix-daemon.drv...
successfully built
/gnu/store/x0xh8p2zrf94kx75g4y2rs6q4wnffq87-guix-daemon.drv
building /gnu/store/scyl68mw7lvhqixal6n3sc6mz3c5mq42-guix-0d197a63d.drv...
successfully built
/gnu/store/scyl68mw7lvhqixal6n3sc6mz3c5mq42-guix-0d197a63d.drv
building CA certificate bundle...
successfully built
/gnu/store/8ivx9xfx2dzbir6619m82rnhiy13cafh-ca-certificate-bundle.drv
building fonts directory...
successfully built /gnu/store/mn7sqip3zj0f6y3qhv6f1c39hhb8cv4m-fonts-dir.drv
building directory of Info manuals...
successfully built /gnu/store/7dblw0w81pwlnyr1n52szdf5w482lik9-info-dir.drv
building database for manual pages...
successfully built
/gnu/store/2z4iv79sgx84yfaib430fv7siynjszfg-manual-database.drv
building /gnu/store/mfd7sng5bag37aj4rmifr25xz9b4s9f1-profile.drv...
successfully built /gnu/store/mfd7sng5bag37aj4rmifr25xz9b4s9f1-profile.drv
building
/gnu/store/75shnmym7m2v9wr0askjcqpmfc34pzm6-inferior-script.scm.drv...
successfully built
/gnu/store/75shnmym7m2v9wr0askjcqpmfc34pzm6-inferior-script.scm.drv
building package cache...
successfully built
/gnu/store/vjwc21gsnzfm3n7lk00qmfmxwhsyaz5k-guix-package-cache.drv
building /gnu/store/8vz5gvrzdjlamnc1yp12whb8rhdbjif0-profile.drv...
successfully built /gnu/store/8vz5gvrzdjlamnc1yp12whb8rhdbjif0-profile.drv
1 package in profile

Backtrace:
           1 (primitive-load "/home/mflack/.config/guix/current/bin/…")
In guix/ui.scm:
  1824:12  0 (run-guix-command _ . _)

guix/ui.scm:1824:12: In procedure run-guix-command:
error: lmdbxx: unbound variable

-- 

Martin